=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2012-12-04 15:18:32 +0000
+++ CMakeLists.txt	2012-12-05 14:52:45 +0000
@@ -137,6 +137,10 @@
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable indicatordir OUTPUT_VARIABLE INDICATORDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
 execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable iconsdir OUTPUT_VARIABLE INDICATORICONDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
 
+find_package (PkgConfig)
+execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable indicatordir OUTPUT_VARIABLE INDICATORDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
+execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable iconsdir OUTPUT_VARIABLE INDICATORICONDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
+
 configure_file (${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
 #
@@ -188,7 +192,7 @@
     atk-bridge-2.0
     dbusmenu-glib-0.4
     dee-1.0
-    gio-2.0
+    gio-2.0>=2.30.0
     gio-unix-2.0
     gmodule-2.0
     gthread-2.0
@@ -217,7 +221,6 @@
   )
 endif ()
 
-find_package (PkgConfig)
 pkg_check_modules (CACHED_UNITY_DEPS REQUIRED ${UNITY_PLUGIN_DEPS})
 pkg_check_modules (CACHED_UNITY_PRIVATE_DEPS REQUIRED ${UNITY_PROTOCOL_PRIVATE_DEPS})
 add_subdirectory(unity-shared)

=== modified file 'manual-tests/PanelService.txt'
--- manual-tests/PanelService.txt	2012-07-12 12:03:05 +0000
+++ manual-tests/PanelService.txt	2012-11-29 01:37:04 +0000
@@ -13,3 +13,20 @@
   This means that the menus and indicators must not be removed and readded
   from the unity panel.
   For more info see bug #937119
+
+
+Panel Service shows entries with no menus
+-----------------------------------------
+
+Setup:
+
+Actions:
+#. Start with a clean screen
+#. Save this python script and run it http://pastebin.ubuntu.com/1395885/
+#. Make sure the "Simple Menu" window is focused
+#. Move the mouse pointer over the panel
+
+Expected Result:
+  The panel should contains three menu entries: "File", "HiddenExit" and "Other",
+  clicking over "HiddenExit" should bring up a menu with a single entry named
+  "Activate". Clicking on it should close the "Simple Menu" application.
\ No newline at end of file

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2012-11-06 18:19:09 +0000
+++ po/POTFILES.in	2012-11-29 01:25:12 +0000
@@ -31,6 +31,7 @@
 plugins/unityshell/unityshell.xml.in
 shortcuts/ShortcutHintPrivate.cpp
 shortcuts/ShortcutView.cpp
+services/panel-service.c
 unity-shared/DashStyle.cpp
 unity-shared/SearchBar.cpp
 gnome/50-unity-launchers.xml.in

=== modified file 'services/CMakeLists.txt'
--- services/CMakeLists.txt	2012-11-28 13:49:42 +0000
+++ services/CMakeLists.txt	2012-12-05 14:52:45 +0000
@@ -1,11 +1,22 @@
 #
 # Panel Service
 #
+
+set(UNITY_PANEL_SERVICE_DEPS
+    atk
+    atk-bridge-2.0
+    gio-2.0>=2.30.0
+    gobject-2.0
+    gthread-2.0
+    gtk+-3.0>=3.3
+    indicator3-0.4>=0.4.90
+    x11
+)
+
 find_package(PkgConfig)
 
 pkg_check_modules(SERVICE_DEPS REQUIRED gtk+-3.0>=3.3 gobject-2.0 gio-2.0 gthread-2.0 indicator3-0.4>=0.4.90 x11 atk-bridge-2.0)
 
-
 set(PANEL_SOURCES
     panel-a11y.c
     panel-a11y.h
@@ -14,7 +25,6 @@
     panel-indicator-entry-accessible.c
     panel-indicator-entry-accessible.h
     panel-main.c
-    ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.c
     panel-root-accessible.c
     panel-root-accessible.h
     panel-service.c
@@ -22,16 +32,8 @@
     panel-util-accessible.c
     panel-util-accessible.h)
 
-find_program(GLIB_GENMARSHAL glib-genmarshal)
-add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.c
-  COMMAND ${GLIB_GENMARSHAL} ARGS panel-marshal.list --body --prefix=panel_marshal > ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.c
-  COMMAND ${GLIB_GENMARSHAL} ARGS panel-marshal.list --header --prefix=panel_marshal > ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.h
-  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-  DEPENDS panel-marshal.list
-  COMMENT "Generating marshallers")
-
 set(CFLAGS
-    "${SERVICE_DEPS_CFLAGS}"
+    ${SERVICE_DEPS_CFLAGS}
     ${SERVICE_DEPS_CFLAGS_OTHER}
     "-Werror -Wall"
     )

=== removed file 'services/panel-marshal.list'
--- services/panel-marshal.list	2012-02-11 05:17:46 +0000
+++ services/panel-marshal.list	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-NONE:OBJECT,POINTER,INT,INT,INT,INT
-VOID:STRING,BOOLEAN
-VOID:STRING,INT,INT,UINT,UINT

=== modified file 'services/panel-service.c'
--- services/panel-service.c	2012-12-04 15:18:56 +0000
+++ services/panel-service.c	2012-12-05 14:52:45 +0000
@@ -19,23 +19,18 @@
  *              Marco Trevisan (Treviño) <mail@3v1n0.net>
  */
 
-#if HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "panel-marshal.h"
+#include "config.h"
 #include "panel-service.h"
 
 #include <stdlib.h>
 #include <string.h>
 #include <gtk/gtk.h>
 #include <gdk/gdkx.h>
+#include <glib/gi18n-lib.h>
 
 #include <X11/extensions/XInput2.h>
 #include <X11/XKBlib.h>
 
-#include "panel-marshal.h"
-
 G_DEFINE_TYPE (PanelService, panel_service, G_TYPE_OBJECT);
 
 #define GET_PRIVATE(o) \
@@ -221,8 +216,7 @@
                   G_OBJECT_CLASS_TYPE (obj_class),
                   G_SIGNAL_RUN_LAST,
                   0,
-                  NULL, NULL,
-                  panel_marshal_VOID__STRING_INT_INT_UINT_UINT,
+                  NULL, NULL, NULL,
                   G_TYPE_NONE, 5, G_TYPE_STRING, G_TYPE_INT, G_TYPE_INT,
                   G_TYPE_UINT, G_TYPE_UINT);
 
@@ -231,8 +225,7 @@
                   G_OBJECT_CLASS_TYPE (obj_class),
                   G_SIGNAL_RUN_LAST,
                   0,
-                  NULL, NULL,
-                  g_cclosure_marshal_VOID__STRING,
+                  NULL, NULL, NULL,
                   G_TYPE_NONE, 1, G_TYPE_STRING);
 
  _service_signals[ENTRY_ACTIVATE_REQUEST] =
@@ -240,8 +233,7 @@
                   G_OBJECT_CLASS_TYPE (obj_class),
                   G_SIGNAL_RUN_LAST,
                   0,
-                  NULL, NULL,
-                  g_cclosure_marshal_VOID__STRING,
+                  NULL, NULL, NULL,
                   G_TYPE_NONE, 1, G_TYPE_STRING);
 
  _service_signals[GEOMETRIES_CHANGED] =
@@ -249,8 +241,7 @@
       G_OBJECT_CLASS_TYPE (obj_class),
       G_SIGNAL_RUN_LAST,
       0,
-      NULL, NULL,
-      panel_marshal_VOID__OBJECT_POINTER_INT_INT_INT_INT,
+      NULL, NULL, NULL,
       G_TYPE_NONE, 6,
       G_TYPE_OBJECT, G_TYPE_POINTER,
       G_TYPE_INT, G_TYPE_INT, G_TYPE_INT, G_TYPE_INT);
@@ -260,8 +251,7 @@
                   G_OBJECT_CLASS_TYPE (obj_class),
                   G_SIGNAL_RUN_LAST,
                   0,
-                  NULL, NULL,
-                  panel_marshal_VOID__STRING_BOOLEAN,
+                  NULL, NULL, NULL,
                   G_TYPE_NONE, 2, G_TYPE_STRING, G_TYPE_BOOLEAN);
 
   _service_signals[INDICATORS_CLEARED] =
@@ -269,8 +259,7 @@
                   G_OBJECT_CLASS_TYPE (obj_class),
                   G_SIGNAL_RUN_LAST,
                   0,
-                  NULL, NULL,
-                  g_cclosure_marshal_VOID__VOID,
+                  NULL, NULL, NULL,
                   G_TYPE_NONE, 0);
 
 
@@ -836,14 +825,12 @@
     {
       g_signal_connect (entry->label, "notify::label",
                         G_CALLBACK (on_entry_property_changed), object);
-
       g_signal_connect (entry->label, "notify::sensitive",
                         G_CALLBACK (on_entry_property_changed), object);
       g_signal_connect (entry->label, "show",
                         G_CALLBACK (on_entry_changed), object);
       g_signal_connect (entry->label, "hide",
                         G_CALLBACK (on_entry_changed), object);
-
     }
   if (GTK_IS_IMAGE (entry->image))
     {
@@ -859,14 +846,12 @@
                         G_CALLBACK (on_entry_property_changed), object);
       g_signal_connect (entry->image, "notify::stock",
                         G_CALLBACK (on_entry_property_changed), object);
-
       g_signal_connect (entry->image, "notify::sensitive",
                         G_CALLBACK (on_entry_property_changed), object);
       g_signal_connect (entry->image, "show",
                         G_CALLBACK (on_entry_changed), object);
       g_signal_connect (entry->image, "hide",
                         G_CALLBACK (on_entry_changed), object);
-
     }
 
   notify_object (object);
@@ -1634,7 +1619,18 @@
 menu_deactivated (GtkWidget *menu)
 {
   g_signal_handlers_disconnect_by_func (menu, menu_deactivated, NULL);
-  gtk_widget_destroy (menu);
+
+  if (g_object_is_floating (menu))
+    g_object_ref_sink (menu);
+
+  g_object_unref (menu);
+}
+
+static void
+menuitem_activated (GtkWidget *menuitem, IndicatorObjectEntry *entry)
+{
+  IndicatorObject *object = get_entry_parent_indicator (entry);
+  indicator_object_entry_activate (object, entry, CurrentTime);
 }
 
 static void
@@ -1677,17 +1673,17 @@
 
   if (entry != NULL)
     {
-      if (xid > 0)
-        {
-          indicator_object_entry_activate_window (object, entry, xid, CurrentTime);
-        }
-      else
-        {
-          indicator_object_entry_activate (object, entry, CurrentTime);
-        }
-
       if (GTK_IS_MENU (entry->menu))
         {
+          if (xid > 0)
+            {
+              indicator_object_entry_activate_window (object, entry, xid, CurrentTime);
+            }
+          else
+            {
+              indicator_object_entry_activate (object, entry, CurrentTime);
+            }
+
           priv->last_menu = entry->menu;
         }
       else
@@ -1696,10 +1692,17 @@
              rest of the code and to keep scrubbing fluidly, we'll create a
              stub menu for the duration of this scrub. */
           priv->last_menu = GTK_MENU (gtk_menu_new ());
+
+          GtkWidget *menu_item = gtk_menu_item_new_with_label (_("Activate"));
+          gtk_menu_shell_append (GTK_MENU_SHELL (priv->last_menu), menu_item);
+          gtk_widget_show (menu_item);
+
           g_signal_connect (priv->last_menu, "deactivate",
                             G_CALLBACK (menu_deactivated), NULL);
           g_signal_connect (priv->last_menu, "destroy",
                             G_CALLBACK (gtk_widget_destroyed), &priv->last_menu);
+          g_signal_connect (menu_item, "activate",
+                            G_CALLBACK (menuitem_activated), entry);
         }
 
       GtkWidget *top_widget = gtk_widget_get_toplevel (GTK_WIDGET (priv->last_menu));

=== modified file 'tests/CMakeLists.txt'
--- tests/CMakeLists.txt	2012-12-04 15:18:32 +0000
+++ tests/CMakeLists.txt	2012-12-05 14:52:45 +0000
@@ -28,8 +28,6 @@
      "-g"
      "-DTESTDATADIR=\"${TESTDATADIR}\""
      "-DGETTEXT_PACKAGE=\"unity\""
-     "-DINDICATORDIR=\"${CMAKE_BINARY_DIR}/tests\""
-     "-DINDICATORICONDIR=\"${CMAKE_BINARY_DIR}/tests\""
      "-I${CMAKE_CURRENT_BINARY_DIR}"
      )
 add_definitions (${CFLAGS})
@@ -50,20 +48,12 @@
 # We can't have convenience libs so we need to rebuild with what we need
 # Please keep actual test files alphabetically at top and then files
 # from ../${UNITY_SRC} or ../../services in alphabetically after that
-find_program(GLIB_GENMARSHAL glib-genmarshal)
-add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.c
-  COMMAND ${GLIB_GENMARSHAL} ARGS ../services/panel-marshal.list --body --prefix=panel_marshal > ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.c
-  COMMAND ${GLIB_GENMARSHAL} ARGS ../services/panel-marshal.list --header --prefix=panel_marshal > ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.h
-  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-  DEPENDS ../services/panel-marshal.list
-  COMMENT "Generating marshallers for panel-service")
 
 add_executable (test-unit
                 unit/TestMain.cpp
                 unit/TestPanelService.cpp
                 unit/TestStaticCairoText.cpp
                 ../services/panel-service.c
-                ${CMAKE_CURRENT_BINARY_DIR}/panel-marshal.c
                 )
 target_link_libraries (test-unit unity-shared ${LIBS})
 add_dependencies (test-unit unity-core-${UNITY_API_VERSION})
@@ -71,17 +61,10 @@
 add_subdirectory (test-minimize-window-handler)
 add_subdirectory (test-get-transients)
 
+
 #
 # GTest tests
 #
-find_program(GLIB_GENMARSHAL glib-genmarshal)
-add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/test_glib_signals_utils_marshal.cpp
-  COMMAND ${GLIB_GENMARSHAL} ARGS test_glib_signals_utils_marshal.list --body --prefix=test_signals > ${CMAKE_CURRENT_BINARY_DIR}/test_glib_signals_utils_marshal.cpp
-  COMMAND ${GLIB_GENMARSHAL} ARGS test_glib_signals_utils_marshal.list --header --prefix=test_signals > ${CMAKE_CURRENT_BINARY_DIR}/test_glib_signals_utils_marshal.h
-  COMMAND sed ARGS -i "s/glib-object/test_glib_signals_utils_marshal/" ${CMAKE_CURRENT_BINARY_DIR}/test_glib_signals_utils_marshal.cpp
-  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-  DEPENDS test_glib_signals_utils_marshal.list
-  COMMENT "Generating marshallers")
 
 enable_testing()
 # :(
@@ -93,6 +76,13 @@
     GMOCK_LIB AND
     GMOCK_MAIN_LIB)
 
+  # MockWindowManager
+  add_library (unity_mock_window_manager STATIC
+               MockWindowManager.cpp)
+  target_link_libraries (unity_mock_window_manager
+                         ${GMOCK_LIB}
+                         ${GMOCK_MAIN_LIB})
+
 # The service that provides DBus services to test against
   add_executable(test-gtest-service
                  mock-application.cpp
@@ -142,7 +132,6 @@
        test_time_util.cpp
        test_ubus.cpp
        test_unityshell_private.cpp
-       ${CMAKE_CURRENT_BINARY_DIR}/test_glib_signals_utils_marshal.cpp
        ${UNITY_SRC}/UnityshellPrivate.cpp
        ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-grab-handle.cpp
        ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-grab-handle-group.cpp

=== added file 'tests/MockWindowManager.cpp'
--- tests/MockWindowManager.cpp	1970-01-01 00:00:00 +0000
+++ tests/MockWindowManager.cpp	2012-12-04 09:04:06 +0000
@@ -0,0 +1,31 @@
+// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
+/*
+ * Copyright (C) 2012 Canonical Ltd
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 3 as
+ * published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authored by: Sam Spilsbury <smspillaz@gmail.com>
+ */
+#include <MockWindowManager.h>
+
+namespace unity
+{
+
+MockWindowManager::MockWindowManager()
+{
+}
+
+MockWindowManager::~MockWindowManager()
+{
+}
+}

=== added file 'tests/MockWindowManager.h'
--- tests/MockWindowManager.h	1970-01-01 00:00:00 +0000
+++ tests/MockWindowManager.h	2012-12-04 09:04:06 +0000
@@ -0,0 +1,105 @@
+// -*- Mode: C++; indent-tabs-mode: nil; tab-width: 2 -*-
+/*
+ * Copyright (C) 2012 Canonical Ltd
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 3 as
+ * published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ *
+ * Authored by: Sam Spilsbury <smspillaz@gmail.com>
+ */
+#ifndef UNITY_MOCK_WINDOW_MANAGER_H
+#define UNITY_MOCK_WINDOW_MANAGER_H
+
+#include <gmock/gmock.h>
+
+#include <WindowManager.h>
+
+namespace unity
+{
+class MockWindowManager : public WindowManager
+{
+  public:
+
+    MockWindowManager();
+    ~MockWindowManager();
+
+    MOCK_CONST_METHOD0(GetActiveWindow, Window());
+    MOCK_CONST_METHOD1(IsWindowDecorated, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowMaximized, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowOnCurrentDesktop, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowObscured, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowMapped, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowVisible, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowOnTop, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowClosable, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowMinimized, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowMinimizable, bool(Window));
+    MOCK_CONST_METHOD1(IsWindowMaximizable, bool(Window));
+    MOCK_CONST_METHOD1(HasWindowDecorations, bool(Window));
+
+    MOCK_METHOD0(ShowDesktop, void());
+    MOCK_CONST_METHOD0(InShowDesktop, bool());
+
+    MOCK_METHOD1(Maximize, void(Window));
+    MOCK_METHOD1(Restore, void(Window));
+    MOCK_METHOD3(RestoreAt, void(Window, int, int));
+    MOCK_METHOD1(Minimize, void(Window));
+    MOCK_METHOD1(UnMinimize, void(Window));
+    MOCK_METHOD1(Close, void(Window));
+    MOCK_METHOD1(Activate, void(Window));
+    MOCK_METHOD1(Raise, void(Window));
+    MOCK_METHOD1(Lower, void(Window));
+
+    MOCK_METHOD0(TerminateScale, void());
+    MOCK_CONST_METHOD0(IsScaleActive, bool());
+    MOCK_CONST_METHOD0(IsScaleActiveForGroup, bool());
+    MOCK_METHOD0(InitiateExpo, void());
+    MOCK_METHOD0(TerminateExpo, void());
+    MOCK_CONST_METHOD0(IsExpoActive, bool());
+    MOCK_CONST_METHOD0(IsWallActive, bool());
+
+    MOCK_METHOD4(FocusWindowGroup, void(std::vector<Window> const&,
+                                        FocusVisibility, int,
+                                        bool));
+    MOCK_METHOD3(ScaleWindowGroup, bool(std::vector<Window> const&, int, bool));
+
+    MOCK_CONST_METHOD0(IsScreenGrabbed, bool());
+    MOCK_CONST_METHOD0(IsViewPortSwitchStarted, bool());
+
+    MOCK_METHOD2(MoveResizeWindow, void(Window, nux::Geometry));
+    MOCK_METHOD3(StartMove, void(Window, int, int));
+
+    MOCK_CONST_METHOD1(GetWindowMonitor, int(Window));
+    MOCK_CONST_METHOD1(GetWindowGeometry, nux::Geometry(Window));
+    MOCK_CONST_METHOD1(GetWindowSavedGeometry, nux::Geometry(Window));
+    MOCK_CONST_METHOD2(GetWindowDecorationSize, nux::Size(Window, WindowManager::Edge));
+    MOCK_CONST_METHOD0(GetScreenGeometry, nux::Geometry());
+    MOCK_CONST_METHOD1(GetWorkAreaGeometry, nux::Geometry(Window));
+
+    MOCK_CONST_METHOD1(GetWindowActiveNumber, unsigned long long(Window));
+
+    MOCK_METHOD2(SetWindowIconGeometry, void(Window, nux::Geometry const&));
+
+    MOCK_METHOD3(CheckWindowIntersections, void(nux::Geometry const&, bool&, bool&));
+
+    MOCK_CONST_METHOD0(WorkspaceCount, int());
+
+    MOCK_METHOD0(SaveInputFocus, bool());
+    MOCK_METHOD0(RestoreInputFocus, bool());
+
+    MOCK_CONST_METHOD1(GetWindowName, std::string(Window));
+
+    MOCK_METHOD1(AddProperties, void(GVariantBuilder*));
+};
+}
+
+#endif // UNITY_MOCK_WINDOW_MANAGER_H

=== modified file 'tests/test_glib_signals_utils.cpp'
--- tests/test_glib_signals_utils.cpp	2011-07-21 14:59:25 +0000
+++ tests/test_glib_signals_utils.cpp	2012-12-04 14:39:11 +0000
@@ -1,5 +1,4 @@
 #include "test_glib_signals_utils.h"
-#include "test_glib_signals_utils_marshal.h"
 
 enum
 {
@@ -30,8 +29,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 g_cclosure_marshal_VOID__VOID,
+                 NULL, NULL, NULL,
                  G_TYPE_NONE, 0);
 
   _service_signals[SIGNAL_1] =
@@ -39,8 +37,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 g_cclosure_marshal_VOID__STRING,
+                 NULL, NULL, NULL,
                  G_TYPE_NONE, 1, G_TYPE_STRING);
 
   _service_signals[SIGNAL_2] =
@@ -48,8 +45,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 test_signals_VOID__STRING_INT,
+                 NULL, NULL, NULL,
                  G_TYPE_NONE, 2,
                  G_TYPE_STRING, G_TYPE_INT);
 
@@ -58,8 +54,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 test_signals_VOID__STRING_INT_FLOAT,
+                 NULL, NULL, NULL,
                  G_TYPE_NONE, 3,
                  G_TYPE_STRING, G_TYPE_INT, G_TYPE_FLOAT);
 
@@ -68,8 +63,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 test_signals_VOID__STRING_INT_FLOAT_DOUBLE,
+                 NULL, NULL, NULL,
                  G_TYPE_NONE, 4,
                  G_TYPE_STRING, G_TYPE_INT, G_TYPE_FLOAT, G_TYPE_DOUBLE);
 
@@ -78,8 +72,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 test_signals_VOID__STRING_INT_FLOAT_DOUBLE_BOOLEAN,
+                 NULL, NULL, NULL,
                  G_TYPE_NONE, 5,
                  G_TYPE_STRING, G_TYPE_INT, G_TYPE_FLOAT,
                  G_TYPE_DOUBLE, G_TYPE_BOOLEAN);
@@ -89,8 +82,7 @@
                  G_OBJECT_CLASS_TYPE(obj_class),
                  G_SIGNAL_RUN_LAST,
                  0,
-                 NULL, NULL,
-                 test_signals_BOOLEAN__STRING_INT_FLOAT_DOUBLE_BOOLEAN_CHAR,
+                 NULL, NULL, NULL,
                  G_TYPE_BOOLEAN, 6,
                  G_TYPE_STRING, G_TYPE_INT, G_TYPE_FLOAT,
                  G_TYPE_DOUBLE, G_TYPE_BOOLEAN, G_TYPE_CHAR);

=== removed file 'tests/test_glib_signals_utils_marshal.list'
--- tests/test_glib_signals_utils_marshal.list	2011-07-08 13:14:38 +0000
+++ tests/test_glib_signals_utils_marshal.list	1970-01-01 00:00:00 +0000
@@ -1,6 +0,0 @@
-VOID:STRING,INT
-VOID:STRING,INT,FLOAT
-VOID:STRING,INT,FLOAT,DOUBLE
-VOID:STRING,INT,FLOAT,DOUBLE,BOOL
-BOOL:STRING,INT,FLOAT,DOUBLE,BOOL,CHAR
-BOOL:STRING,INT,FLOAT,DOUBLE,BOOL,CHAR,UINT

